Texas Medicaid and Healthcare Partnership Requires Internet Explorer 11

Beginning on December 12, 2015, TMHP will require providers to use Internet Explorer 11 to access applications on the TMHP website. To use the Prior Authorization on the Portal system, including Prior Authorization Search and Submission, providers must enable Internet Explorer 11’s compatibility mode. The instructions for setting up compatibility mode are available here. No other systems or functions on the TMHP website will require providers to use compatibility mode.

Until Prior Authorization on the Portal is upgraded in 2016, providers will not be able to access the portal with Chrome, Firefox, or Internet Explorer 11 (without using compatibility mode). Providers will be notified when Prior Authorization on the Portal is upgraded.

For more information, call the TMHP Contact Center Electronic Data Interchange (EDI) Help Desk at 1-800-925-9126.

Custom Design
x